Subject: Bug#1277: fix default keyboard shortcut of viewport_move_left

From: René Genz <[email-masked]>
Date: Thu, 22 Mar 2018 00:37:56 +0100

Package: x2goagent
Version: 3.5.0.33
Tag: patch

The viewport keyboard shortcuts are bound to:
* Ctrl+Alt+arrow keys for up, right, down
* Ctrl+Shift+Alt+arrow keys for left

This patch removes the '+Shift' for moving left.
Hence, all viewport movement shortcuts use the same set of keys.

I guess the '+Shift' was a copy-paste error.

I dare not to open dedicated bug reports for these minor problems:
On the website:
https://wiki.x2go.org/doku.php/wiki:advanced:nx-keyboard-shortcuts
please, rename the file:
keystroke.cfg
to:
keystrokes.cfg

For the bug submission I noticed on the website:
https://wiki.x2go.org/doku.php/wiki:development:join-the-team
you can read:
Whenever you find a bug, an improvement, try to fix it, try to implement it. what you come up with → Send it as a patch to the developers' mailing list for reviewing.

Maybe this should be updated because on the website:
https://wiki.x2go.org/doku.php/wiki:development:git
in the paragraph:
Sending in Patches
you can read:
... For submitting X2Go patches, please use the X2Go Bug Tracker System.

Attachment: fix-viewport_move_left-shortcut.diff
-- 
Kind regards,
René
diff --git a/etc/keystrokes.cfg b/etc/keystrokes.cfg
index 007a182..13c286a 100644
--- a/etc/keystrokes.cfg
+++ b/etc/keystrokes.cfg
@@ -12,7 +12,7 @@
 <keystroke action="test_input" Control="1" AltMeta="1" key="x" />
 <keystroke action="deactivate_input_devices_grab" Control="1" AltMeta="1" key="y" />
 <keystroke action="fullscreen" Control="1" Shift="1" AltMeta="1" key="f" />
-<keystroke action="viewport_move_left" Control="1" Shift="1" AltMeta="1" key="Left" />
+<keystroke action="viewport_move_left" Control="1" AltMeta="1" key="Left" />
 <keystroke action="viewport_move_up" Control="1" AltMeta="1" key="Up" />
 <keystroke action="viewport_move_right" Control="1" AltMeta="1" key="Right" />
 <keystroke action="viewport_move_down" Control="1" AltMeta="1" key="Down" />